camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From paulf <paulfallowfi...@gmail.com>
Subject JPA 2 Support
Date Tue, 01 Mar 2011 13:36:20 GMT
Hi,

Do you know when Camel will support JPA2?

Currently when I add in the Camel JPA dependency it causes my project to
fail as Spring Roo is using JEE6 JPA2 whearas Camel is dependent on OpenJpa
1.2.2 (JPA1).

When I try and run my Junit test cases (as generated by Roo) I get the
following exception:-

Caused by: org.springframework.beans.factory.BeanCreationException: Error
creating bean with name 'transactionManager' defined in class path resource
[META-INF/spring/applicationContext.xml]: Cannot resolve reference to bean
'entityManagerFactory' while setting bean property 'entityManagerFactory';
nested exception is org.springframework.beans.factory.BeanCreationException:
Error creating bean with name 'entityManagerFactory' defined in class path
resource [META-INF/spring/applicationContext.xml]: Invocation of init method
failed; nested exception is java.lang.NoSuchMethodError:
javax.persistence.spi.PersistenceUnitInfo.getValidationMode()Ljavax/persistence/ValidationMode;

I think the only way round this is to regress to an earlier version of Roo
or to just not use it at all which will be a shame.

I am using:-

SpringSource Tool Suite 2.5.2
Spring Roo 1.1.1

thanks

Paul.

-- 
View this message in context: http://camel.465427.n5.nabble.com/JPA-2-Support-tp3404931p3404931.html
Sent from the Camel - Users mailing list archive at Nabble.com.

Mime
View raw message